DevHeads.net

repoquery: Modular dependency problems: nothing provides module(platform:f30)

I've noticed that recently, I see this with repoquery regardless of the query:

$ repoquery --repo=rawhide ...
Modular dependency problems:

Problem 1: conflicting requests
- nothing provides module(platform:f30) needed by module
exa:latest:3020190721165838:a23e773d-0.x86_64
Problem 2: conflicting requests
- nothing provides module(platform:f30) needed by module
fd-find:rolling:3020190722174030:a23e773d-0.x86_64
Problem 3: conflicting requests
- nothing provides module(platform:f30) needed by module
libgit2:0.27:3020190304180745:a5b0195c-0.x86_64
Problem 4: conflicting requests
- nothing provides module(platform:f30) needed by module
ripgrep:latest:3020190722062006:a23e773d-0.x86_64

Comments

Re: repoquery: Modular dependency problems: nothing provides mod

By Igor Gnatenko at 08/12/2019 - 01:21

You need to explicitly set --setopt=module_platform_id=platform:F31

I thought itvwas fixed, but probably it does not work for repoquery.

Re: repoquery: Modular dependency problems: nothing provides mod

By =?UTF-8?B?TWlyb... at 08/12/2019 - 03:56

On 12. 08. 19 8:21, Igor Gnatenko wrote:
It was fixed for a long time. This just started again now.

Re: repoquery: Modular dependency problems: nothing provides mod

By =?UTF-8?B?TWlyb... at 08/13/2019 - 10:21

On 12. 08. 19 10:56, Miro HronĨok wrote:
I've reopened <a href="https://bugzilla.redhat.com/show_bug.cgi?id=1636285" title="https://bugzilla.redhat.com/show_bug.cgi?id=1636285">https://bugzilla.redhat.com/show_bug.cgi?id=1636285</a>